#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by BC - Mod Packager                                                       #
#  Date: 05.09.2002                                                                    #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'BC_NX01Shuttle'
iconName = 'BC_NX01Shuttle'
longName = 'BC_NX01Shuttle'
shipFile = 'BC_NX01Shuttle' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'BC_NX01Shuttle',
	'author': 'markyD-baz1701',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.BC_NX01Shuttle = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.BC_NX01Shuttle.SubMenu = "Baz1701 ships"
Foundation.ShipDef.BC_NX01Shuttle.SubSubMenu = "NX pack"

Foundation.ShipDef.BC_NX01Shuttle.fMaxWarp = 1.0
Foundation.ShipDef.BC_NX01Shuttle.fWarpEntryDelayTime = 1.0

#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL  
Foundation.ShipDef.BC_NX01Shuttle.hasTGLName = 1
Foundation.ShipDef.BC_NX01Shuttle.hasTGLDesc = 1

# Otherwise, uncomment this and type something in:
# Foundation.ShipDef.BC_NX01Shuttle.desc = 'Latest NX ShuttlePod'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.BC_NX01Shuttle.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.BC_NX01Shuttle.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################
